lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'atatus/version'

Gem::Specification.new do |spec|
  spec.name          = 'atatus'
  spec.version       = Atatus::VERSION
  spec.authors       = ['Atatus']
  spec.email         = 'success@atatus.com'

  spec.summary       = 'Atatus Ruby Agent'
  spec.homepage      = 'https://www.atatus.com'
  spec.metadata      = {
    'changelog_uri' => 'https://docs.atatus.com/docs/release-notes/ruby.html',
    'documentation_uri' => 'https://docs.atatus.com/docs/application-monitoring/ruby-agent/overview.html',
  }
  spec.date = Time.now.strftime('%Y-%m-%d')
  spec.licenses       = ['Atatus']
  spec.required_ruby_version = ">= 2.3.0"
  spec.extra_rdoc_files = [
    "CHANGELOG.md",
    "LICENSE",
    "LICENSE-THIRD-PARTY",
    "README.md",
    "atatus.yml"
  ]

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(bench|bin|test|spec|features|docs|releases)/}) || f.match(%r{^(CONTRIBUTING.md|RELEASE.md|Rakefile|docker-compose.yml|Dockerfile)})
  end

  spec.add_dependency('concurrent-ruby', '~> 1.0')
  spec.add_dependency('http', '>= 3.0')

  spec.require_paths = ['lib']
end
